Jump to content

All Activity

This stream auto-updates     

  1. Yesterday
  2. sunrise

    epel 8

    Tak wiem, 7.7 właśnie pojawił się przed chwilą.
  3. dnf history oraz bardziej szczegółowo dnf history info <identyfikator> gdzie identyfikator to numer transakcji z dnf history Ja tak instaluje. Ja takiego nie znam, generalnie w przypadku nie rozwiązanych zależności dnf pomija kłopotliwy pakiet.
  4. dnf update --refresh nic nie dało. Amos miał rację - crash spowodował że miałem 2 biblioteki w systemie, dziwne dnf powinien to chyba wychwycić i usunąć podwójne biblioteki przy refreshu... Wcześniej - przed Waszymi poradami - robiłem dnf update i nie dnf dawał znaków o duplikatach. Po usunięciu zduplikowanych bibliotek udało się zainstalować wine - z jednym małym ale. Znowu nastąpił crash powłoki Gnome! Awaria nastąpiła pod mniej więcej koniec instalacji wine. Po awarii ponowiłem instalację wine i program się zainstalował, na razie działa, choć nie wiadomo czy nie wyjdą jakieś kwiatki w przyszłości. 1. Pytanie - gdzie znajdę jakiś dziennik z instalacji programu dnf-em? Czy mimo awarii menedżera (Gnome u mnie) udaje się to gdzieś zapisać? Chciałbym zobaczyś jaki pakiet powoduje crash gnome... 2. Pytanie - czy instalujecie programy dnf-em normalnie w środowisku graf? Zaczynam się zastanawiać czy w trakcie instalacji nie przejść na tryb teksowy... 3. Pytanie - polećcie jakiś dobry poradnik do zależności, widać sam dnf nie wystarczy. W ogóle to myślałem że w linuxach jest jak w Windows - nowsza biblioteka jest akceptowana, a okazuje się że niektóre programy na to nie pozwalają. Coś za dużo mam tych awarii gnoma, tak czuję. Dwa razy przy wine, raz przy aktualizaji systemu. Coś chyba jest nie tak z systemem/kompem. I jesxcze dzięki za pomoc - sunrise i Amos
  5. Zapewne instalacja Wine wymagała aktualizacji bibliotek glibc i libxcrypt, ale została przerwana przez crash Gnome Shell, więc w systemie zrobił się bałagan. Jeżeli dnf update --refresh nie zadziała, to sprawdź poleceniami rpm -qa | grep glibc rpm -qa | grep libxcrypt czy nie masz zduplikowanych pakietów (tj. jednocześnie w wersjach 2.29-15 i 2.29-22 jeśli chodzi o glibc oraz 4.4.7-1 i 4.4.9-1 w przypadku libxcrypt). Architekturami się nie przejmuj. Mają być jednocześnie wersje 64bit i 32bit. Jeśli są zduplikowane, to usuń starsze wersje poleceniem rpm -e --nodeps [pełna nazwa pakietu]
  6. SeeM

    epel 8

    Przedłużyło się, podobnie jak przy wersji szóstej, gdyż priorytet mają aktualizacje do starszego wydania.W tym przypadku pracowali jednocześnie nad CentOSem 7.7 oraz 8.0.
  7. sunrise

    epel 8

    No i miałeś racje. Jeżeli wszystko pójdzie OK to CentOS zostanie wydany 24 września.
  8. W domu spróbuję, bo mam ten problem na stacjonarnym kompie. To raczej nic nie da bo komunikat oznacza że biblioteki w systemie są nowsze niż te które chce zainstalować Wine. Pytanie - zawsze sądziłem że jak w systemie są nowsze biblioteki niż te które wymaga dany program, to program zainstaluje się. Inaczej w odwrotnym przypadku. Czy faktycznie tak jest? Tak jest w windzie i tak - o ile pamietam - było na starych linuxach (za czasów darmowego RedHata), choć w tych ostatnich ekspertem nigdy nie byłem.
  9. Last week
  10. Spróbuj jeszcze polecenia dnf update --refresh
  11. Czy mam zrobić downgrade glibc i libcrypt ? Downgrade mnie trochę przeraża... Nie ma opcji aby zainstalować wine bez tych starszych bibliotek? Edit: Czy - o ile dobrze rozumiem - Wine chce zainstalować starsze bibloteki niż są w systemie?
  12. Niestety nie ma postępu nadal jest ten sam błąd: Błąd: Błąd podczas sprawdzania transakcji: plik /usr/share/doc/glibc/NEWS z instalacji glibc-2.29-22.fc30.i686 jest w konflikcie z plikiem z pakietu glibc-2.29-15.fc30.x86_64 plik /usr/share/doc/libxcrypt/NEWS z instalacji libxcrypt-4.4.9-1.fc30.i686 jest w konflikcie z plikiem z pakietu libxcrypt-4.4.7-1.fc30.x86_64 Coś ktoś?...
  13. To raczej wygląda, że próbuje zainstalować biblioteki w różnych wersjach dla różnych architektur, a powinny być w tych samych wersjach. Spróbuj jako root wykonać te polecenia dnf clean all dnf update dnf install wine
  14. Chcę użyć programu z Windows na Linuxie, potrzebowałem zainstalować Wine: sudo dnf install wine Niestety w trakcie instalacji Wine zostałem wylogowany z systemu (Fedora 30) - gnome shell niespodziewanie zakończył działanie. Próba ponownej instalacji wywala następujące błędy: Wykonywanie sprawdzania transakcji Pomyślnie ukończono sprawdzanie transakcji. Wykonywanie testu transakcji Pobrane pakiety zostały zapisane w pamięci podręcznej do czasu następnej pomyślnej transakcji. Można usunąć pakiety z pamięci podręcznej wykonując polecenie „dnf clean packages”. Błąd: Błąd podczas sprawdzania transakcji: plik /usr/share/doc/glibc/NEWS z instalacji glibc-2.29-22.fc30.i686 jest w konflikcie z plikiem z pakietu glibc-2.29-15.fc30.x86_64 plik /usr/share/doc/libxcrypt/NEWS z instalacji libxcrypt-4.4.9-1.fc30.i686 jest w konflikcie z plikiem z pakietu libxcrypt-4.4.7-1.fc30.x86_64 O ile dobrze rozumiem, Wine próbuje zainstalować biblioteki dla arch 64 oraz 32 bitowej, na co nie pozwalają ustawienia systemowe. W niektórych poradnikach widzę że trzeba włączyć wsparcie dla multiarch ale poradniki te są dla innych linusków niż fedora. Pytania do Was: 1. Jak włączyć multiarch dla fedory 30? 2. Czy włączając 32 bity zaśmiecę system podówjnymi bibliotekami - dla 64 bit i 32 bit? Chciałbym zrobić jakoś tak, aby zainstalowano w systemie tylko te 32 bitowe biblioteki które są potrzebne w Wine do emulacji 32 bitowych programów Windowsa. Dodam że program jakiego chcę używać na Wine jest 64 bitowy a anie 32 bitowy. Podejrzewam że włączając multiarch wszystko będzie instalowane w sysemie i programach w 2 wersjach - 32 i 64 bity. Nigdy nie miałem do czynienia z multiarch... Proszę pomóżcie...
  15. SeeM

    Komputer dla programisty

    A tak z ciekawości. Co będziesz robił w Javie? Jeżeli coś przy Androidzie, to mogę pomóc z instalacją tego całego bajzlu, bo nie jest to takie oczywiste.
  16. Earlier
  17. Mam Raspberry do takich prywatnych projektów i zabawy, postanowiłem się (_przeżucić_ &#8594; przerzucić) ORT z Raspbiana do dedykowanego obrazu Fedory Server (Spin RPI) no i bardzo fajnie się pracuje ale mam prolem z wyświetlaczem który mam Waveshare LCD5 HDMI skrypt instalacyjny do niego dołączony jest typowo pod debiana skrypt tutaj. A ja aż tak dobrze się w nim nie odnajduję. Czy istnieje szansa żeby ten wyświetlacz działał pod Fedorą? Dotyk swoją drogą.
  18. jacob_03

    Komputer dla programisty

    Dziękuję za odpowiedź. W takim razie nie pozostaje mi nic innego, jak poszukać trochę innej konfiguracji. Teraz przynajmniej wiem, za czym się rozglądać.
  19. Dzięki, dobrze wiedzieć.
  20. po upgrade do 5.2.11-200 działa
  21. SeeM

    Komputer dla programisty

    To jest właśnie kluczowe w tym równaniu. Unikam sprzętu "dla graczy". Bywa za bardzo nietypowy, żeby dobrze działał pod Linuksem. Do Javy potrzebujesz: mnóstwo ramu, szybkiego procka, dysk co SSD na system i duży dysk na partycję home. Niby się zgadza, *ale*. Wybrany przez Ciebie zestaw ma układ graficzny Quadro P1000. Jeżeli to będzie stacja robocza programisty, to nie pakuj się ani w Nvidię, ani w ATI. Zintegrowany Intel na Linuksie działał, działa i będzie działać - taki przemysłowy standard. Spokojnie wystarczy do Jutuba i filmów w wysokiej rozdzielczości. Upewnij się też, że będziesz mógł korzystać z dwóch monitorów, czyli, że układ grafiki ma co najmniej lbo 2x HDMI, albo 2x display port. Wydaje się fanaberia, ale podziękujesz mi później. Nvidię 1080, albo podobnie mocnego AMDka zawsze zdążysz sobie kupić, ale grafika Intela to podstawa.
  22. jacob_03

    Komputer dla programisty

    Mam taki problem, że mój aktualny komputer ma spore problemy z obsługą jakiegokolwiek linuxa(To jest typowo "gamingowy komputer" za ok. 2400zł). Potrzebuję komputer do programowania (głównie Java) i mam pytanie: czy ten zestaw będzie dobry pod fedorę? https://www.morele.net/komputer-morele-pro-studio-p1000-r7-2700x-x470-p1000-32gb-ram-512gb-m-2-pcie-2tb-hdd-5951102/ Chyba, że znacie jakieś jakieś lepsze rozwiązanie. Z chęcią zobaczę wasze propozycje.
  23. najprościej sprawdzić czy zadziałało Wystarczy ls -lR Dokumenty Czas wykonania poleceń zależy od ilości plików i katalogów, szybkości procesora itp, więc może trwać chwilę albo bardzo długo
  24. Witam ponownie. Tak właśnie zastanawiam się nad tymi poleceniami. Oczywiście są prawidłowe ale ich wykonanie zajęło mi dosłownie chwilkę.... Po zatwierdzeniu komend praktycznie od razu pojawił się znak zachęty, czy gotowości. Nie wiem, może czegoś wcześniej nie zrobiłem...
  25. mixtix11

    problem z kopiowaniem i wklejaniem

    Wszystko już działa Dziękuję za szybką odpowiedź
  26. beschu

    problem z kopiowaniem i wklejaniem

    Hej mixtix11, spróbuj: sudo dnf remove clipit
  27. Witam serdecznie! Mam od dłuższego czasu problem z kopiowaniem i wklejaniem tekstu jak i plików w systemie fedora 5.2.9 w srodowisku graficznym LXDE. Praktycznie od samego początku jak zainstalowałem podany system nie mogę nic kopiować i wklejać. Czytałem, że może być to problem związany ze schowkiem systemowym. Jeśli ktoś wie jak rozwiązać podany problem bardzo bym prosił o informacje jak go rozwiązać :) Pozdrawiam
  1. Load more activity
×